package com.kingdee.eas.custom.gggl;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractReceTypeInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractReceTypeInfo()
    {
        this("id");
    }
    protected AbstractReceTypeInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 收款类型 's 收款类型 property 
     */
    public com.kingdee.eas.fi.cas.ReceivingBillTypeInfo getSkType()
    {
        return (com.kingdee.eas.fi.cas.ReceivingBillTypeInfo)get("skType");
    }
    public void setSkType(com.kingdee.eas.fi.cas.ReceivingBillTypeInfo item)
    {
        put("skType", item);
    }
    /**
     * Object: 收款类型 's 物料 property 
     */
    public com.kingdee.eas.basedata.master.material.MaterialInfo getMaterial()
    {
        return (com.kingdee.eas.basedata.master.material.MaterialInfo)get("material");
    }
    public void setMaterial(com.kingdee.eas.basedata.master.material.MaterialInfo item)
    {
        put("material", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("AA2C948D");
    }
}